Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2709813002: Remove the touch ack timeout handler out of the legacy touch event queue. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by dtapuska
Modified:
4 months ago
Reviewers:
clamy, tdresser
CC:
chromium-reviews, jam, darin-cc_chromium.org, dtapuska+chromiumwatch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove the touch ack timeout handler out of the legacy touch event queue. This class needs to be re-used for the new touch event queue. So extract the code out to a separate class (it was already an internal class) so just move it into a separate file. BUG=642368 TBR=clamy@chromium.org Review-Url: https://codereview.chromium.org/2709813002 Cr-Commit-Position: refs/heads/master@{#452054} Committed: https://chromium.googlesource.com/chromium/src/+/48fd5b949faacbd387904d9844283bfcf1fe837a

Patch Set 1 #

Patch Set 2 : Remove the touch ack timeout handler out of the legacy touch event queue. #

Total comments: 9

Patch Set 3 : Fix nits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+331 lines, -240 lines) Patch
M content/browser/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
M content/browser/renderer_host/input/legacy_touch_event_queue.h View 6 chunks +7 lines, -8 lines 0 comments Download
M content/browser/renderer_host/input/legacy_touch_event_queue.cc View 1 6 chunks +13 lines, -232 lines 0 comments Download
M content/browser/renderer_host/input/touch_event_queue.h View 1 1 chunk +12 lines, -0 lines 0 comments Download
A content/browser/renderer_host/input/touch_timeout_handler.h View 1 2 1 chunk +81 lines, -0 lines 0 comments Download
A content/browser/renderer_host/input/touch_timeout_handler.cc View 1 1 chunk +216 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 36 (24 generated)
dtapuska
4 months ago (2017-02-21 17:49:19 UTC) #11
tdresser
LGTM, modulo some nits about requires / forward declarations. https://codereview.chromium.org/2709813002/diff/20001/content/browser/renderer_host/input/legacy_touch_event_queue.h File content/browser/renderer_host/input/legacy_touch_event_queue.h (right): https://codereview.chromium.org/2709813002/diff/20001/content/browser/renderer_host/input/legacy_touch_event_queue.h#newcode27 content/browser/renderer_host/input/legacy_touch_event_queue.h:27: ...
4 months ago (2017-02-21 18:16:31 UTC) #12
dtapuska
https://codereview.chromium.org/2709813002/diff/20001/content/browser/renderer_host/input/legacy_touch_event_queue.h File content/browser/renderer_host/input/legacy_touch_event_queue.h (right): https://codereview.chromium.org/2709813002/diff/20001/content/browser/renderer_host/input/legacy_touch_event_queue.h#newcode27 content/browser/renderer_host/input/legacy_touch_event_queue.h:27: class TouchTimeoutHandler; On 2017/02/21 18:16:31, tdresser wrote: > Why ...
4 months ago (2017-02-21 18:26:47 UTC) #13
tdresser
https://codereview.chromium.org/2709813002/diff/20001/content/browser/renderer_host/input/legacy_touch_event_queue.h File content/browser/renderer_host/input/legacy_touch_event_queue.h (right): https://codereview.chromium.org/2709813002/diff/20001/content/browser/renderer_host/input/legacy_touch_event_queue.h#newcode27 content/browser/renderer_host/input/legacy_touch_event_queue.h:27: class TouchTimeoutHandler; On 2017/02/21 18:26:47, dtapuska wrote: > On ...
4 months ago (2017-02-21 18:27:21 UTC) #14
dtapuska
clamy@chromium.org: Please review changes in BUILD.gn
4 months ago (2017-02-21 18:27:41 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2709813002/40001
4 months ago (2017-02-21 21:23:23 UTC) #24
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
4 months ago (2017-02-21 21:58:43 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2709813002/40001
4 months ago (2017-02-22 03:47:21 UTC) #28
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
4 months ago (2017-02-22 04:42:37 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2709813002/40001
4 months ago (2017-02-22 14:23:04 UTC) #32
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/chromium/src/+/48fd5b949faacbd387904d9844283bfcf1fe837a
4 months ago (2017-02-22 15:16:45 UTC) #35
clamy
4 months ago (2017-02-22 16:40:52 UTC) #36
Message was sent while issue was closed.
GN change lgtm.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318